- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Archive.cpp File Reference

`#include <osg/Notify>`
`#include <osg/Endian>`
`#include <osgDB/Registry>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/Archive>`
`#include <streambuf>`

Include dependency graph for Archive.cpp:

## Functions
osgDB::Archive * | osgDB::openArchive (const std::string &filename, Archive::ArchiveStatus status, unsigned int indexBlockSizeHint)
| Open an archive for reading or writing.
osgDB::Archive * | osgDB::openArchive (const std::string &filename, Archive::ArchiveStatus status, unsigned int indexBlockSizeHint, ReaderWriter::Options *options)
| Open an archive for reading or writing.